<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.io.worker">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="io-threads,stack-size,task-core-threads,task-keepalive,task-max-threads"/>
        <elem name="addr-params" value="profile,subsystem,worker"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.io"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.io.worker.$worker"/>
    </provides>
    <refs>
        <ref feature="subsystem.io"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="task-keepalive" nillable="true"/>
        <param name="task-max-threads" nillable="true"/>
        <param name="io-threads" nillable="true"/>
        <param name="task-core-threads" nillable="true"/>
        <param name="stack-size" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="io"/>
        <param name="worker" feature-id="true"/>
    </params>
</feature-spec>